#
#  Makefile.am
#  dump-dg /src
# Created by Danny Goossen, Gioxa Ltd on July 13,2022.
#
# MIT License
#
# Copyright (c) 2022 dump1090-dg, Gioxa Ltd.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#


AM_CFLAGS=-DGITVERSION=\"@GIT_VERSION@\" $(CODE_COVERAGE_CFLAGS) -D_GNU_SOURCE @RTLSDR_CFLAGS@
LIBS= @LIBS@ $(CODE_COVERAGE_LDFLAGS) @RTLSDR_LIBS@

bin_PROGRAMS= dump1090 

dump1090_SOURCES= dump1090.c anet.c interactive.c mode_ac.c mode_s.c net_io.c crc.c demod_2000.c demod_2400.c demod_8000.c stats.c cpr.c icao_filter.c track.c util.c convert.c compat.c

EXTRA_DIST= anet.h conio.h convert.h cpr.h crc.h demod_2000.h demod_2400.h demod_8000.h dump1090.h icao_filter.h net_io.h stats.h track.h util.h compat.h

CLEANFILES= dump1090
